package com.chenyang.nse.bussiness.entity.orm.table.core.encryption;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_JIAMIJIEMIJINDU"
)
public class TCoreJiaMiJieMiJinDu extends TBaseEntity {
   @Column(
      length = 100
   )
   private String datasystemid;
   @Column(
      length = 100
   )
   private String projectid;
   @Column(
      length = 100
   )
   private String schemahh;
   @Column(
      length = 100
   )
   private String tablename;
   @Column(
      length = 100
   )
   private String columnname;
   @Column(
      length = 50
   )
   private int totalcounts;
   @Column(
      length = 50
   )
   private int finishcounts;
   @Column(
      length = 50
   )
   private int failcounts;
   @Column(
      length = 50
   )
   private String state;
   private Date starttime;
   private Date endtime;
   @Column(
      length = 1000
   )
   private String exceptionstring;

   public String getDatasystemid() {
      return this.datasystemid;
   }

   public void setDatasystemid(String datasystemid) {
      this.datasystemid = datasystemid;
   }

   public String getProjectid() {
      return this.projectid;
   }

   public void setProjectid(String projectid) {
      this.projectid = projectid;
   }

   public String getTablename() {
      return this.tablename;
   }

   public void setTablename(String tablename) {
      this.tablename = tablename;
   }

   public String getColumnname() {
      return this.columnname;
   }

   public void setColumnname(String columnname) {
      this.columnname = columnname;
   }

   public int getTotalcounts() {
      return this.totalcounts;
   }

   public void setTotalcounts(int totalcounts) {
      this.totalcounts = totalcounts;
   }

   public int getFinishcounts() {
      return this.finishcounts;
   }

   public void setFinishcounts(int finishcounts) {
      this.finishcounts = finishcounts;
   }

   public int getFailcounts() {
      return this.failcounts;
   }

   public void setFailcounts(int failcounts) {
      this.failcounts = failcounts;
   }

   public Date getStarttime() {
      return this.starttime;
   }

   public void setStarttime(Date starttime) {
      this.starttime = starttime;
   }

   public Date getEndtime() {
      return this.endtime;
   }

   public void setEndtime(Date endtime) {
      this.endtime = endtime;
   }

   public String getExceptionstring() {
      return this.exceptionstring;
   }

   public void setExceptionstring(String exceptionstring) {
      this.exceptionstring = exceptionstring;
   }

   public String getState() {
      return this.state;
   }

   public void setState(String state) {
      this.state = state;
   }

   public String getSchemahh() {
      return this.schemahh;
   }

   public void setSchemahh(String schemahh) {
      this.schemahh = schemahh;
   }
}
